enum ApiRoute {
    LOGIN                        = '/login',
    REFRESH_TOKENS               = '/refresh_tokens',
    TEST_SESSION                 = '/test_session',
    GITLAB_CHECK_TEMPLATE_ACCESS = '/gitlab/project/{{id}}/checkTemplateAccess',
    SONAR                        = '/sonar/info',
    SONAR_QUALITIES              = '/sonar/testqualities',
    LANGUAGES                    = '/assignments/languages',
    ASSIGNMENT_GET               = '/assignments/{{nameOrUrl}}',
    ASSIGNMENT_CREATE            = '/assignments',
    ASSIGNMENT_PUBLISH           = '/assignments/{{nameOrUrl}}/publish',
    ASSIGNMENT_UNPUBLISH         = '/assignments/{{nameOrUrl}}/unpublish',
    ASSIGNMENT_CORRECTION_LINK   = '/assignments/{{assignmentNameOrUrl}}/corrections',
    ASSIGNMENT_CORRECTION_UPDATE = '/assignments/{{assignmentNameOrUrl}}/corrections/{{exerciseIdOrUrl}}',
    EXERCISE_CREATE              = '/assignments/{{nameOrUrl}}/exercises',
    EXERCISE_GET                 = '/exercises/{{id}}',
    EXERCISE_ASSIGNMENT          = '/exercises/{{id}}/assignment',
    EXERCISE_RESULTS             = '/exercises/{{id}}/results'
}


export default ApiRoute;